Get informational index time series
curl --request GET \
--url https://data-api.compute-index.com/v1/info-index/history \
--header 'Authorization: Bearer <token>'import requests
url = "https://data-api.compute-index.com/v1/info-index/history"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://data-api.compute-index.com/v1/info-index/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"date": "2026-04-21",
"index_name": "hopper",
"region_group": "US",
"contract_type": "combined",
"vendor_category": "neocloud",
"index_value": 2.3255,
"index_units": "usd_per_gpu_per_hr",
"p5": 1.4407,
"p95": 3.3402
},
{
"date": "2026-04-22",
"index_name": "hopper",
"region_group": "US",
"contract_type": "combined",
"vendor_category": "neocloud",
"index_value": 2.3241,
"index_units": "usd_per_gpu_per_hr",
"p5": 1.4419,
"p95": 3.339
}
],
"total_days": 2,
"index_name": "hopper",
"filters": {
"index_name": "hopper",
"region_group": "US"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Informational Index
Index History
Returns EWMA-smoothed index time series with envelope-clipped p5/p95/min/max
GET
/
v1
/
info-index
/
history
Get informational index time series
Example
Full Hopper (US) informational history:curl -H "Authorization: Bearer $TOKEN" \
"https://data-api.compute-index.com/v1/info-index/history?index_name=hopper®ion_group=US"
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Index name: hopper, blackwell
Region group: US, EU
Start date (YYYY-MM-DD)
End date (YYYY-MM-DD)
⌘I